<?php

namespace App\Models;

use Backpack\CRUD\app\Models\Traits\CrudTrait;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Package extends Model
{
    use CrudTrait;
    use HasFactory;

    protected $guarded = ['id'];

    public function getRenewLabelAttribute()
    {
        return "Tên gói : ".$this->name.' | Số tuần: '.$this->original_weeks." | Học phí: ".number_format($this->original_fee)." đ";
    }

    public function setBranchAttribute()
    {
        return $this->attributes['branch'] = backpack_user()->branch;
    }

    protected static function boot()
    {
        parent::boot(); // TODO: Change the autogenerated stub
        static::addGlobalScope('branch', function ($builder) {
            $builder->where('branch', backpack_user()->branch);
        });
    }
}
